Package org.springframework.security.crypto.password

## Enum Pbkdf2PasswordEncoder.SecretKeyFactoryAlgorithm

- java.lang.Object
- - java.lang.Enum<Pbkdf2PasswordEncoder.SecretKeyFactoryAlgorithm>
  - - org.springframework.security.crypto.password.Pbkdf2PasswordEncoder.SecretKeyFactoryAlgorithm

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Pbkdf2PasswordEncoder.SecretKeyFactoryAlgorithm>`

Enclosing class:
  Pbkdf2PasswordEncoder

    public static enum Pbkdf2PasswordEncoder.SecretKeyFactoryAlgorithm
    extends java.lang.Enum<Pbkdf2PasswordEncoder.SecretKeyFactoryAlgorithm>

The Algorithm used for creating the `SecretKeyFactory`

Since:
  5.0

### Enum Constant Summary

Enum Constants
`PBKDF2WithHmacSHA1`
`PBKDF2WithHmacSHA256`
`PBKDF2WithHmacSHA512`

### Method Summary

All Methods Static Methods Concrete Methods
`static Pbkdf2PasswordEncoder.SecretKeyFactoryAlgorithm` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Pbkdf2PasswordEncoder.SecretKeyFactoryAlgorithm[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PBKDF2WithHmacSHA1

    public static final Pbkdf2PasswordEncoder.SecretKeyFactoryAlgorithm PBKDF2WithHmacSHA1

#### PBKDF2WithHmacSHA256

    public static final Pbkdf2PasswordEncoder.SecretKeyFactoryAlgorithm PBKDF2WithHmacSHA256

#### PBKDF2WithHmacSHA512

    public static final Pbkdf2PasswordEncoder.SecretKeyFactoryAlgorithm PBKDF2WithHmacSHA512

### Method Detail

#### values

    public static Pbkdf2PasswordEncoder.SecretKeyFactoryAlgorithm[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Pbkdf2PasswordEncoder.SecretKeyFactoryAlgorithm c : Pbkdf2PasswordEncoder.SecretKeyFactoryAlgorithm.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Pbkdf2PasswordEncoder.SecretKeyFactoryAlgorithm valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null